# Configuration

### Available environment variables

**Server settings**

```
NODE_ENV=production
PORT=8109
PORT_APOS=8109
PORT2=8111
```

**Cookies**

<pre><code>SESSION_SECRET=jx4YDgaQxVRZXxyFGE3M6p6H
<strong>COOKIE_SECURE_OFF=yes
</strong></code></pre>

**CMS settings**

```
DEFAULT_HOST=empty.cms.api.openstad.nlsvgtr.nl
WILDCARD_HOST=cms.openstad.nlsvgtr.nl
APP_URL=https://admin.openstad.nlsvgtr.nl
MAP_TYPE=nlmaps-openlayers
MINIFY_JS=ON
MS_DEFAULTS={"analyticsType": "custom", "analyticsCodeBlock": "<script type=\"text/javascript\">/*<![CDATA[*/(function() {var sz = document.createElement('script'); sz.type ='text/javascript'; sz.async = true; sz.src ='//siteimproveanalytics.com/js/siteanalyze_6004851.js';var s = document.getElementsByTagName('script')[0];s.parentNode.insertBefore(sz, s); })(); /*]]>*/</script>"}
```

**Mongo**

```
MONGO_DB_HOST=database-server
DB_HOST=database-server
DB_PORT=27017
DEFAULT_DB=openstad-leeg
AMPLE_DB=legecmsdatabase
```

**API server**

```
API=https://api.openstad.nlsvgtr.nl
ITE_API_KEY=123
```

**OAuth server**

```
AUTH_URL=https://oauth.openstad.nlsvgtr.nl
```

**Image server**

```
IMAGE_API_URL=https://image.openstad.amsterdam.nl
MAGE_API_ACCESS_TOKEN=MHhfb5U0m8vquAR81p
```

**Etc**

```
APOS_WORKFLOW=ON
GOOGLE_MAPS_API_KEY=AIzaSyBUWkinf1yg1GpX71bv4zqx7icTxSX6oyU
TYLESHEETS="https://nls.nlsvgtr.nl/openstad/css/local-overrides.css"
```

**Openstad components andn React Admin**

```
OPENSTAD_COMPONENTS_CDN=https://cdn.openstad.nlsvgtr.nl/components/dist
OPENSTAD_REACT_ADMIN_CDN=https://cdn.openstad.nlsvgtr.nl/react-admin/dist
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.openstad.org/openstad/technical/frontend/configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
